
#import <appkit/appkit.h>
#import "PencilInspector.h"

@interface PencilView:View
{
	char *docname;
	char *customDef;
	id inspector;
	id glist;
	id currentGraphic;
	int curGrPos;
	int curPt;
	BOOL initialized;
	float scale;
	id scrollFactor;
	id flippedView;
	BOOL editingRichText;
	BOOL edited;
}

- setMethodname:(char*)name;
- setDrawingMethod:(char *)name;
- setStrokeMethod:(char *)name;
- setFillMethod:(char *)name;
- setSpecialAttributes:(char *)name;
- setColor1:(NXColor)col;
- setColor2:(NXColor)col;
- setLineWidth:(float)lw;
- setCurrentGraphicAndDisplay:(id)gr;
- displayWithCurrentGraphic;
- displayCurrentGraphic;
- scroll:sender;
- changeScale:sender;
- toFront:sender;
- toBack:sender;
- insertPoint:sender;
- insertNextPoint:sender;
- deletePoint:sender;
- deleteGraphic:sender;
- doSave:(char *)filename;
- saveAs:sender;
- readFromFilename:(char *)name;
- takeCustomFrom:(id)text;
- giveCustomTo:(id)text;
- sendCustom;
- copyAsPostScript:sender;
- selectAll:sender;
- deselectAll:sender;
- (BOOL)makeGroup;
- makeStandardGroup:sender;
- makeClipGroup:sender;
- ungroup;
- ungroup:sender;
- importImage:sender;
- importImageFromFile:(char *)name:(float)posx:(float)posy;
- insertThreePoints:sender;
- alignThreePoints:sender;
- richTextEnded:sender;
- convertToCharPath:sender;
- (char *)performCommand:(const char *)cmd;
- paste:sender:(BOOL)flag;
@end
